{"models":[{"endpoint_id":"fal-ai/bytedance/seedance/v1/pro/fast/text-to-video","metadata":{"display_name":"Bytedance Seedance V1 Pro Fast Text To Video","category":"text-to-video","description":"Text to Video endpoint for Seedance 1.0 Pro Fast, a next-generation video model designed to deliver maximum performance at minimal cost","status":"active","tags":["bytedance","fast","motion"],"updated_at":"2026-04-21T17:44:37.016Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/monkey/vuOJvxcEA4z0fsRkw3r4Y_4930420a08f045c9ae3c401e3a6d20fc.jpg","model_url":"https://fal.run/fal-ai/bytedance/seedance/v1/pro/fast/text-to-video","license_type":"commercial","date":"2025-10-24T11:54:23.140Z","group":{"key":"seedance-v1","label":"Seedance 1.0 Pro Fast --Text to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/bytedance/seedance/v1/pro/fast/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/bytedance/seedance/v1/pro/fast/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/bytedance/seedance/v1/pro/fast/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/monkey/vuOJvxcEA4z0fsRkw3r4Y_4930420a08f045c9ae3c401e3a6d20fc.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/bytedance/seedance/v1/pro/fast/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/bytedance/seedance/v1/pro/fast/text-to-video/api","about":"Generate videos from text quickly using Bytedance's Seedance 1.0 Fast model.\n\nSeedance 1.0 Pro Fast is a fast, efficient and high quality text-to-video model that generates\nhigh-quality videos from text prompts. It supports multiple aspect ratios,\nresolutions, and durations for versatile video generation."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"BytedanceSeedanceV1ProFastTextToVideoInput":{"properties":{"camera_fixed":{"title":"Camera Fixed","description":"Whether to fix the camera position","default":false,"type":"boolean"},"duration":{"enum":["2","3","4","5","6","7","8","9","10","11","12"],"title":"Duration","description":"Duration of the video in seconds","default":"5","type":"string"},"prompt":{"title":"Prompt","examples":["Inside a quiet dojo, a martial artist moves with precision and grace. The performance highlights the beauty and discipline inherent in the ancient practice. Each form unfolds clearly, a testament to dedication and skill."],"description":"The text prompt used to generate the video","type":"string"},"num_frames":{"title":"Num Frames","description":"The number of frames to generate. If provided, will override duration.","anyOf":[{"type":"integer","maximum":289,"minimum":29},{"type":"null"}]},"resolution":{"enum":["480p","720p","1080p"],"title":"Resolution","description":"Video resolution - 480p for faster generation, 720p for balance, 1080p for higher quality","default":"1080p","type":"string"},"seed":{"title":"Seed","description":"Random seed to control video generation. Use -1 for random.","anyOf":[{"type":"integer"},{"type":"null"}]},"enable_safety_checker":{"title":"Enable Safety Checker","examples":[true],"description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked.","type":"boolean","default":true},"aspect_ratio":{"enum":["21:9","16:9","4:3","1:1","3:4","9:16"],"title":"Aspect Ratio","description":"The aspect ratio of the generated video","default":"16:9","type":"string"}},"title":"SeedanceProFastTextToVideoInput","required":["prompt"],"type":"object","x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","camera_fixed","seed","enable_safety_checker","num_frames"]},"BytedanceSeedanceV1ProFastTextToVideoOutput":{"properties":{"seed":{"title":"Seed","examples":[42],"description":"Seed used for generation","type":"integer"},"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/example_inputs/seedance_fast_t2v_output.mp4"}],"description":"Generated video file"}},"title":"SeedanceFastT2VVideoOutput","required":["video","seed"],"type":"object","x-fal-order-properties":["video","seed"]},"File":{"properties":{"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"title":"File Size","examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"title":"Content Type","examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]}},"title":"File","required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/bytedance/seedance/v1/pro/fast/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/bytedance/seedance/v1/pro/fast/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/bytedance/seedance/v1/pro/fast/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BytedanceSeedanceV1ProFastTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/bytedance/seedance/v1/pro/fast/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BytedanceSeedanceV1ProFastTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-video","metadata":{"display_name":"LTX Video (preview)","category":"text-to-video","description":"Generate videos from prompts using LTX Video","status":"active","tags":[],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/model_tests/cogvideox/panda.gif.gif","model_url":"https://fal.run/fal-ai/ltx-video","license_type":"research","date":"2024-10-04T00:00:00.000Z","group":{"key":"ltx-video","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-video","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/model_tests/cogvideox/panda.gif.gif","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-video/api","about":"LTX Video - Text to Video generation\n\nSee examples for more inspiration.\n\n### Instructions\nWhen writing prompts, focus on detailed, chronological descriptions of actions and scenes. Include specific movements,\nappearances, camera angles, and environmental details - all in a single flowing paragraph. Start directly with the action,\nand keep descriptions literal and precise. Think like a cinematographer describing a shot list. Keep within 200 words. For\nbest results, build your prompts using this structure:\n* Start with main action in a single sentence\n* Add specific details about movements and gestures\n* Describe character/object appearances precisely\n* Include background and environment details\n* Specify camera angles and movements\n* Describe lighting and colors\n* Note any changes or sudden events\n\n### Parameter Guide\n* Guidance Scale: Higher values (5-7) for accurate prompt following, lower values (3-5) for more creative freedom\n* Inference Steps: More steps (40+) for quality, fewer steps (20-30) for speed"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LtxVideoInput":{"required":["prompt"],"type":"object","title":"TextToVideoInput","x-fal-order-properties":["prompt","negative_prompt","seed","num_inference_steps","guidance_scale"],"properties":{"num_inference_steps":{"maximum":50,"minimum":1,"default":30,"title":"Number of Inference Steps","type":"integer","description":"The number of inference steps to take."},"guidance_scale":{"maximum":10,"type":"number","default":3,"title":"Guidance Scale","description":"The guidance scale to use.","exclusiveMinimum":1},"negative_prompt":{"type":"string","default":"low quality, worst quality, deformed, distorted, disfigured, motion smear, motion artifacts, fused fingers, bad anatomy, weird hand, ugly","title":"Negative Prompt","description":"The negative prompt to generate the video from."},"prompt":{"examples":["A man stands waist-deep in a crystal-clear mountain pool, his back turned to a massive, thundering waterfall that cascades down jagged cliffs behind him. He wears a dark blue swimming shorts and his muscular back glistens with water droplets. The camera moves in a dynamic circular motion around him, starting from his right side and sweeping left, maintaining a slightly low angle that emphasizes the towering height of the waterfall. As the camera moves, the man slowly turns his head to follow its movement, his expression one of awe as he gazes up at the natural wonder. The waterfall creates a misty atmosphere, with sunlight filtering through the spray to create rainbow refractions. The water churns and ripples around him, reflecting the dramatic landscape. The handheld camera movement adds a subtle shake that enhances the raw, untamed energy of the scene. The lighting is natural and bright, with the sun positioned behind the waterfall, creating a backlit effect that silhouettes the falling water and illuminates the mist."],"type":"string","title":"Prompt","description":"The prompt to generate the video from."},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The seed to use for random number generation."}}},"LtxVideoOutput":{"required":["video","seed"],"type":"object","title":"Output","x-fal-order-properties":["video","seed"],"properties":{"seed":{"type":"integer","title":"Seed","description":"The seed used for random number generation."},"video":{"title":"Video","description":"The generated video.","$ref":"#/components/schemas/File"}}},"File":{"required":["url"],"type":"object","title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"content_type":{"examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."}}}}},"paths":{"/fal-ai/ltx-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtxVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtxVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3/text-to-video","metadata":{"display_name":"LTX Video 2.3 Pro","category":"text-to-video","description":"LTX-2.3 is a high-quality, fast AI video model available in Pro and Fast variants for text-to-video, image-to-video, and audio-to-video.","status":"active","tags":["stylized","transform","lipsync"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a90def0/4BRBakcGh2ZvP4Nw02RJl_aec88be7e2714348b2195104cff18dfd.jpg","model_url":"https://fal.run/fal-ai/ltx-2.3/text-to-video","license_type":"commercial","date":"2026-03-05T15:30:04.535Z","group":{"key":"ltx-2-3","label":"Text to Video (Pro)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a90def0/4BRBakcGh2ZvP4Nw02RJl_aec88be7e2714348b2195104cff18dfd.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3/text-to-video/api","about":"Generate a video from a text prompt."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx23TextToVideoInput":{"properties":{"resolution":{"enum":["1080p","1440p","2160p"],"title":"Resolution","description":"The resolution of the generated video","default":"1080p","type":"string"},"duration":{"enum":[6,8,10],"title":"Duration","description":"The duration of the generated video in seconds","default":6,"type":"integer"},"prompt":{"maxLength":5000,"title":"Prompt","examples":["Through-the-veil shot of a bride's face during an Indian wedding ceremony, camera positioned behind the sheer red dupatta fabric, the embroidered pattern creating a textured overlay on her face, her eyes lined with kohl looking down at henna-covered hands, marigold garlands in soft background bokeh, 85mm f/1.2 focused through the fabric layer, warm tungsten and candlelight, Mira Nair Monsoon Wedding intimacy"],"description":"The prompt to use for the generated video","type":"string","minLength":1},"fps":{"enum":[24,25,48,50],"title":"Frames per Second","description":"The frames per second of the generated video","default":25,"type":"integer"},"generate_audio":{"title":"Generate Audio","description":"Whether to generate audio for the generated video","default":true,"type":"boolean"},"aspect_ratio":{"enum":["16:9","9:16"],"title":"Aspect Ratio","description":"The aspect ratio of the generated video","default":"16:9","type":"string"}},"title":"LTXV23TextToVideoRequest","required":["prompt"],"type":"object","x-fal-order-properties":["prompt","duration","resolution","aspect_ratio","fps","generate_audio"]},"Ltx23TextToVideoOutput":{"properties":{"video":{"$ref":"#/components/schemas/VideoFile","examples":[{"url":"https://v3b.fal.media/files/b/0a90dd3a/EG257tf7j9UfVc-jHF8lI_0MWboc13.mp4","file_name":"EG257tf7j9UfVc-jHF8lI_0MWboc13.mp4","content_type":"video/mp4"}],"description":"The generated video file"}},"title":"LTXV23TextToVideoResponse","required":["video"],"type":"object","x-fal-order-properties":["video"]},"VideoFile":{"properties":{"duration":{"title":"Duration","description":"The duration of the video","anyOf":[{"type":"number"},{"type":"null"}]},"content_type":{"title":"Content Type","examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]},"num_frames":{"title":"Num Frames","description":"The number of frames in the video","anyOf":[{"type":"integer"},{"type":"null"}]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"fps":{"title":"Fps","description":"The FPS of the video","anyOf":[{"type":"number"},{"type":"null"}]},"height":{"title":"Height","description":"The height of the video","anyOf":[{"type":"integer"},{"type":"null"}]},"file_size":{"title":"File Size","examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"width":{"title":"Width","description":"The width of the video","anyOf":[{"type":"integer"},{"type":"null"}]}},"title":"VideoFile","required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"]}}},"paths":{"/fal-ai/ltx-2.3/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23TextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23TextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pika/v2.2/text-to-video","metadata":{"display_name":"Pika Text to Video (v2.2)","category":"text-to-video","description":"Start with a simple text input to create dynamic generations that defy expectations in up to 1080p. Experience better image clarity and crisper, sharper visuals.","status":"active","tags":["editing","effects","animation"],"updated_at":"2026-04-21T17:52:43.976Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/panda/d7bGY17P07W2dKiNoWXfQ_fb8e23d259a44c5a893f04ae7a710b95.jpg","model_url":"https://fal.run/fal-ai/pika/v2.2/text-to-video","license_type":"commercial","date":"2025-03-14T00:00:00.000Z","group":{"key":"pika","label":"Text to Video (v2.2)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pika/v2.2/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pika/v2.2/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/pika/v2.2/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/panda/d7bGY17P07W2dKiNoWXfQ_fb8e23d259a44c5a893f04ae7a710b95.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/pika/v2.2/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/pika/v2.2/text-to-video/api","about":"Pika 2.2 Text-to-Video Generation.\n\nGenerates a video from text description using the Pika 2.2 model.\nUses a two-stage process: text-to-image generation followed by image-to-video.\nThis is Pika's highest quality model with support for resolution and duration options."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PikaV22TextToVideoInput":{"description":"Request model for Pika 2.2 text-to-video generation","title":"Pika22TextToVideoRequest","x-fal-order-properties":["prompt","seed","negative_prompt","aspect_ratio","resolution","duration"],"required":["prompt"],"type":"object","properties":{"negative_prompt":{"title":"Negative Prompt","default":"ugly, bad, terrible","type":"string","description":"A negative prompt to guide the model"},"prompt":{"title":"Prompt","examples":["Large elegant white poodle standing proudly on the deck of a white yacht, wearing oversized glamorous sunglasses and a luxurious silk Gucci-style scarf tied around its neck, layered pearl necklaces draped across its chest, photographed from outside the yacht at a low upward angle, clear blue sky background, strong midday sunlight, washed-out faded tones, slightly overexposed 2000s fashion editorial aesthetic, cinematic analog film texture, playful luxury mood, glossy magazine style, bright harsh light and soft shadows, stylish and extravagant atmosphere. camera slow orbit and dolly in"],"type":"string"},"resolution":{"type":"string","enum":["1080p","720p"],"title":"Resolution","default":"720p","examples":["1080p","720p"],"description":"The resolution of the generated video"},"duration":{"enum":[5,10],"title":"Duration","default":5,"type":"integer","description":"The duration of the generated video in seconds"},"aspect_ratio":{"enum":["16:9","9:16","1:1","4:5","5:4","3:2","2:3"],"title":"Aspect Ratio","default":"16:9","type":"string","description":"The aspect ratio of the generated video"},"seed":{"description":"The seed for the random number generator","title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}]}}},"PikaV22TextToVideoOutput":{"description":"Output model for Pika 2.2 text-to-video generation","title":"Pika22TextToVideoOutput","x-fal-order-properties":["video"],"required":["video"],"type":"object","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/pika/pika_t2v_v22_output.mp4"}],"description":"The generated video"}}},"File":{"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"],"type":"object","properties":{"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."}}}}},"paths":{"/fal-ai/pika/v2.2/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pika/v2.2/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pika/v2.2/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PikaV22TextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pika/v2.2/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PikaV22TextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"wan/v2.6/text-to-video","metadata":{"display_name":"Wan v2.6 Text to Video","category":"text-to-video","description":"Wan 2.6 text-to-video model.","status":"active","tags":["text-to-video"],"updated_at":"2026-04-26T23:07:28.840Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a86d2d7/3WTDnIgc5z_RVh24RgF-D.png","model_url":"https://fal.run/wan/v2.6/text-to-video","license_type":"commercial","date":"2025-12-16T05:12:22.693Z","group":{"key":"v2.6","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for wan/v2.6/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the wan/v2.6/text-to-video queue.","x-fal-metadata":{"endpointId":"wan/v2.6/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a86d2d7/3WTDnIgc5z_RVh24RgF-D.png","playgroundUrl":"https://fal.ai/models/wan/v2.6/text-to-video","documentationUrl":"https://fal.ai/models/wan/v2.6/text-to-video/api","about":"Generate a video from text using WAN 2.6 text-to-video model.\n\nWAN 2.6 T2V features:\n- Multi-shot video generation with intelligent scene segmentation\n- Resolution: 720p and 1080p\n- Duration: 5, 10, or 15 seconds\n- Multiple aspect ratios: 16:9, 9:16, 1:1, 4:3, 3:4\n- Shot type control: multi-shot or single-shot generation"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"V26TextToVideoInput":{"type":"object","required":["prompt"],"title":"TextToVideoInput","description":"Input for Wan 2.6 text-to-video generation","x-fal-order-properties":["prompt","audio_url","aspect_ratio","resolution","duration","negative_prompt","enable_prompt_expansion","multi_shots","seed","enable_safety_checker"],"properties":{"negative_prompt":{"examples":["low resolution, error, worst quality, low quality, defects"],"default":"","title":"Negative Prompt","anyOf":[{"type":"string"},{"type":"null"}],"description":"Negative prompt to describe content to avoid. Max 500 characters."},"audio_url":{"title":"Audio Url","anyOf":[{"_fal_ui_field":"audio","type":"string","ui":{"field":"audio"}},{"type":"null"}],"description":"\nURL of the audio to use as the background music. Must be publicly accessible.\nLimit handling: If the audio duration exceeds the duration value (5, 10, or 15 seconds),\nthe audio is truncated to the first N seconds, and the rest is discarded. If\nthe audio is shorter than the video, the remaining part of the video will be silent.\nFor example, if the audio is 3 seconds long and the video duration is 5 seconds, the\nfirst 3 seconds of the output video will have sound, and the last 2 seconds will be silent.\n- Format: WAV, MP3.\n- Duration: 3 to 30 s.\n- File size: Up to 15 MB.\n"},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen."},"enable_prompt_expansion":{"type":"boolean","default":true,"title":"Enable Prompt Expansion","description":"Whether to enable prompt rewriting using LLM. Improves results for short prompts but increases processing time."},"duration":{"type":"string","default":"5","title":"Duration","enum":["5","10","15"],"description":"Duration of the generated video in seconds. Choose between 5, 10, or 15 seconds.","examples":["5","10","15"]},"enable_safety_checker":{"type":"boolean","default":true,"title":"Enable Safety Checker","examples":[true],"description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked."},"multi_shots":{"type":"boolean","default":true,"title":"Multi Shots","description":"When true, enables intelligent multi-shot segmentation for coherent narrative videos. Only active when enable_prompt_expansion is True. Set to false for single-shot generation."},"resolution":{"type":"string","default":"1080p","title":"Resolution","enum":["720p","1080p"],"description":"Video resolution tier. Wan 2.6 T2V only supports 720p and 1080p (no 480p)."},"aspect_ratio":{"type":"string","default":"16:9","title":"Aspect Ratio","enum":["16:9","9:16","1:1","4:3","3:4"],"description":"The aspect ratio of the generated video. Wan 2.6 supports additional ratios."},"prompt":{"type":"string","examples":["Humorous but premium mini-trailer: a tiny fox 3D director proves \"multi-scene\" by calling simple commands that instantly change the set. Extreme photoreal 4K, cinematic lighting, subtle film grain, smooth camera. No subtitles, no UI, no watermark.\n\nShot 1 [0-3s] Macro close-up on the fox snapping a clapboard labeled \"fal\". the fox says : \"Action.\"\nShot 2 [3-6s] Hard cut: Wild West street at sunset. Wide shot, dust in the air. The Fox (in frame) points forward: \"Make it wide.\"\nShot 3 [6-10s] Hard cut: jungle river. The fox stands on a small boat. The camera pushes forward through vines and mist. Fox saying: \"Now… adventure.\"\nShot 4 [10-15s] Hard cut: space station window. Slow orbit around the fox with stars outside. Fox nods: \"Done. Next movie.\"\n"],"title":"Prompt","minLength":1,"description":"The text prompt for video generation. Supports Chinese and English, max 1500 characters. For multi-shot videos, use format: 'Overall description. First shot [0-3s] content. Second shot [3-5s] content.'"}}},"V26TextToVideoOutput":{"type":"object","required":["video","seed"],"title":"TextToVideoOutput","description":"Output for text-to-video generation","x-fal-order-properties":["video","seed","actual_prompt"],"properties":{"actual_prompt":{"examples":["Humorous but premium mini-trailer: a tiny fox 3D director proves \"multi-scene\" by calling simple commands that instantly change the set. Extreme photoreal 4K, cinematic lighting, subtle film grain, smooth camera. No subtitles, no UI, no watermark.\n\nShot 1 [0-3s] Macro close-up on the fox snapping a clapboard labeled \"fal\". the fox says : \"Action.\"\nShot 2 [3-6s] Hard cut: Wild West street at sunset. Wide shot, dust in the air. The Fox (in frame) points forward: \"Make it wide.\"\nShot 3 [6-10s] Hard cut: jungle river. The fox stands on a small boat. The camera pushes forward through vines and mist. Fox saying: \"Now… adventure.\"\nShot 4 [10-15s] Hard cut: space station window. Slow orbit around the fox with stars outside. Fox nods: \"Done. Next movie.\"\n"],"title":"Actual Prompt","anyOf":[{"type":"string"},{"type":"null"}],"description":"The actual prompt used if prompt rewriting was enabled"},"seed":{"type":"integer","examples":[175932751],"title":"Seed","description":"The seed used for generation"},"video":{"examples":[{"url":"https://v3b.fal.media/files/b/0a867564/PsHtrg623uJuI7DdRqXvb_etx4d0Un.mp4","content_type":"video/mp4"}],"description":"The generated video file","$ref":"#/components/schemas/VideoFile"}}},"VideoFile":{"type":"object","required":["url"],"title":"VideoFile","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"properties":{"file_size":{"examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"content_type":{"examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"width":{"title":"Width","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video"},"num_frames":{"title":"Num Frames","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video"},"duration":{"title":"Duration","anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video"},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"height":{"title":"Height","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video"},"fps":{"title":"Fps","anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video"}}}}},"paths":{"/wan/v2.6/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/wan/v2.6/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/wan/v2.6/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V26TextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/wan/v2.6/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V26TextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"lightricks/ltx-2.5/text-to-video/fast","metadata":{"display_name":"Ltx 2.5 Text to Video Fast","category":"text-to-video","description":"LTX-2.5 is Lightricks' open-source audio-video model. This endpoint generates synchronized video and audio from a text prompt in a single pass, in a speed-optimized mode built for rapid iteration and previews.","status":"active","tags":["stylized","transform","lipsync"],"updated_at":"2026-08-14T23:11:35.262Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aa5ebb1/szS8gNC3Szq_suLVnrwmV.jpg","model_url":"https://fal.run/lightricks/ltx-2.5/text-to-video/fast","license_type":"commercial","date":"2026-08-11T14:35:56.314Z","group":{"key":"ltx-2.5-api","label":"Text to Video (Fast)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for lightricks/ltx-2.5/text-to-video/fast","version":"1.0.0","description":"The OpenAPI schema for the lightricks/ltx-2.5/text-to-video/fast queue.","x-fal-metadata":{"endpointId":"lightricks/ltx-2.5/text-to-video/fast","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0aa5ebb1/szS8gNC3Szq_suLVnrwmV.jpg","playgroundUrl":"https://fal.ai/models/lightricks/ltx-2.5/text-to-video/fast","documentationUrl":"https://fal.ai/models/lightricks/ltx-2.5/text-to-video/fast/api","about":"Text To Video Fast"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx25TextToVideoFastInput":{"required":["prompt"],"type":"object","x-fal-order-properties":["prompt","duration","resolution","aspect_ratio","fps","generate_audio","camera_motion"],"title":"LTXV25TextToVideoFastRequest","properties":{"camera_motion":{"description":"Optional camera motion applied to the generated video.","title":"Camera Motion","anyOf":[{"type":"string","enum":["dolly_in","dolly_out","dolly_left","dolly_right","jib_up","jib_down","static","focus_shift"]},{"type":"null"}]},"duration":{"description":"The duration of the generated video in seconds. At 720p and 1080p, 24 or 25 FPS supports up to 20 seconds, while 48 or 50 FPS supports up to 10 seconds. At 1440p and 2160p, all frame rates support up to 10 seconds. Set to 'auto' to let the model choose the duration automatically.","title":"Duration","default":"auto","enum":[6,8,10,12,14,16,18,20,"auto"]},"resolution":{"description":"The resolution of the generated video.","type":"string","title":"Resolution","default":"1080p","enum":["720p","1080p","1440p","2160p"]},"prompt":{"description":"The prompt to use for the generated video","type":"string","examples":["Through-the-veil shot of a bride's face during an Indian wedding ceremony, camera positioned behind the sheer red dupatta fabric, the embroidered pattern creating a textured overlay on her face, her eyes lined with kohl looking down at henna-covered hands, marigold garlands in soft background bokeh, 85mm f/1.2 focused through the fabric layer, warm tungsten and candlelight, Mira Nair Monsoon Wedding intimacy"],"minLength":1,"maxLength":5000,"title":"Prompt"},"generate_audio":{"description":"Whether to generate audio for the generated video","type":"boolean","title":"Generate Audio","default":true},"aspect_ratio":{"description":"The aspect ratio of the generated video","type":"string","title":"Aspect Ratio","default":"16:9","enum":["16:9","9:16"]},"fps":{"description":"The frames per second of the generated video.","type":"integer","title":"Frames per Second","default":25,"enum":[24,25,48,50]}}},"Ltx25TextToVideoFastOutput":{"required":["video"],"type":"object","x-fal-order-properties":["video"],"title":"LTXV23TextToVideoFastResponse","properties":{"video":{"description":"The generated video file","$ref":"#/components/schemas/VideoFile","examples":[{"content_type":"video/mp4","url":"https://v3b.fal.media/files/b/0a90dde7/7ufClzCcdMD-up1rau1jF_6xx4WLgg.mp4","file_name":"7ufClzCcdMD-up1rau1jF_6xx4WLgg.mp4"}]}}},"VideoFile":{"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"title":"VideoFile","properties":{"width":{"description":"The width of the video","title":"Width","anyOf":[{"type":"integer"},{"type":"null"}]},"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"num_frames":{"description":"The number of frames in the video","title":"Num Frames","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"duration":{"description":"The duration of the video","title":"Duration","anyOf":[{"type":"number"},{"type":"null"}]},"height":{"description":"The height of the video","title":"Height","anyOf":[{"type":"integer"},{"type":"null"}]},"fps":{"description":"The FPS of the video","title":"Fps","anyOf":[{"type":"number"},{"type":"null"}]}}}}},"paths":{"/lightricks/ltx-2.5/text-to-video/fast/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/lightricks/ltx-2.5/text-to-video/fast/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/lightricks/ltx-2.5/text-to-video/fast":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx25TextToVideoFastInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/lightricks/ltx-2.5/text-to-video/fast/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx25TextToVideoFastOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kling-video/v3/4k/text-to-video","metadata":{"display_name":"Kling Video V3 Text to Video 4K","category":"text-to-video","description":"Kling's Native 4K is a video generation model that directly outputs professional-grade 4K video in one step, eliminating the need for post-production upscaling","status":"active","tags":["stylized","transform","lipsync"],"updated_at":"2026-07-17T19:12:30.157Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a970c17/m0f2ooX6jkF2UDw8yeU7w_0478d228dd9b4f58b26d5c833644465d.jpg","model_url":"https://fal.run/fal-ai/kling-video/v3/4k/text-to-video","license_type":"commercial","date":"2026-04-22T08:23:16.624Z","group":{"key":"kling-v3","label":"Text to Video (4K)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/kling-video/v3/4k/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/v3/4k/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/v3/4k/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a970c17/m0f2ooX6jkF2UDw8yeU7w_0478d228dd9b4f58b26d5c833644465d.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/v3/4k/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/v3/4k/text-to-video/api","about":"Kling V3 (4k) Text to Video API.\n\nThe Kling V3 model with 4k resolution output. Only the Singapore server\nsupports this mode."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoV34kTextToVideoInput":{"title":"TextToVideoV3_4kRequest","x-fal-order-properties":["prompt","duration","multi_prompt","generate_audio","shot_type","aspect_ratio","negative_prompt","cfg_scale"],"type":"object","properties":{"generate_audio":{"title":"Generate Audio","default":true,"type":"boolean","description":"Whether to generate native audio for the video. Supports Chinese and English voice output. Other languages are automatically translated to English. For English speech, use lowercase letters; for acronyms or proper nouns, use uppercase."},"shot_type":{"type":"string","title":"Shot Type","default":"customize","enum":["customize","intelligent"],"description":"The type of multi-shot video generation. 'intelligent' lets the model automatically determine shot structure."},"aspect_ratio":{"type":"string","title":"Aspect Ratio","default":"16:9","enum":["16:9","9:16","1:1"],"description":"The aspect ratio of the generated video frame"},"negative_prompt":{"title":"Negative Prompt","default":"blur, distort, and low quality","maxLength":2500,"type":"string"},"prompt":{"description":"Text prompt for video generation. Either prompt or multi_prompt must be provided, but not both.","title":"Prompt","examples":["Close-up of glowing fireflies dancing in a dark forest at twilight. Soft bioluminescent particles float through the air. Shallow depth of field, bokeh lights in background. Magical atmosphere, gentle movement."],"anyOf":[{"maxLength":2500,"type":"string"},{"type":"null"}]},"multi_prompt":{"description":"List of prompts for multi-shot video generation. If provided, overrides the single prompt and divides the video into multiple shots with specified prompts and durations.","title":"Multi Prompt","examples":[null],"anyOf":[{"items":{"$ref":"#/components/schemas/KlingV3MultiPromptElement"},"type":"array"},{"type":"null"}]},"duration":{"type":"string","title":"Duration","default":"5","enum":["3","4","5","6","7","8","9","10","11","12","13","14","15"],"description":"The duration of the generated video in seconds"},"cfg_scale":{"description":"\n            The CFG (Classifier Free Guidance) scale is a measure of how close you want\n            the model to stick to your prompt.\n        ","title":"Cfg Scale","default":0.5,"minimum":0,"type":"number","maximum":1}}},"KlingVideoV34kTextToVideoOutput":{"title":"TextToVideoV3_4kOutput","x-fal-order-properties":["video"],"required":["video"],"type":"object","properties":{"video":{"description":"The generated video","examples":[{"content_type":"video/mp4","file_name":"output.mp4","file_size":8062911,"url":"https://storage.googleapis.com/falserverless/example_outputs/kling-v3/pro-t2v/out.mp4"}],"$ref":"#/components/schemas/File"}}},"KlingV3MultiPromptElement":{"title":"KlingV3MultiPromptElement","x-fal-order-properties":["prompt","duration"],"required":["prompt"],"type":"object","properties":{"prompt":{"title":"Prompt","type":"string","description":"The prompt for this shot."},"duration":{"type":"string","title":"Duration","default":"5","enum":["1","2","3","4","5","6","7","8","9","10","11","12","13","14","15"],"description":"The duration of this shot in seconds"}}},"File":{"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"],"type":"object","properties":{"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."}}}}},"paths":{"/fal-ai/kling-video/v3/4k/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v3/4k/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/v3/4k/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV34kTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v3/4k/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV34kTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-t2v","metadata":{"display_name":"Wan-2.1 Text-to-Video","category":"text-to-video","description":"Wan-2.1 is a text-to-video model that generates high-quality videos with high visual quality and motion diversity from text prompts","status":"active","tags":["text to video","motion"],"updated_at":"2026-04-21T17:56:08.038Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/Fal_Visuals_V1_02.jpg","model_url":"https://fal.run/fal-ai/wan-t2v","license_type":"commercial","date":"2025-02-25T00:00:00.000Z","group":{"key":"wan-2.1","label":"Text-to-Video"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/wan-t2v","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan-t2v queue.","x-fal-metadata":{"endpointId":"fal-ai/wan-t2v","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/Fal_Visuals_V1_02.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/wan-t2v","documentationUrl":"https://fal.ai/models/fal-ai/wan-t2v/api","about":"Inference"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanT2vInput":{"title":"WanT2VRequest","required":["prompt"],"properties":{"num_frames":{"title":"Num Frames","anyOf":[{"type":"integer","maximum":100,"minimum":81},{"type":"null"}],"default":81,"description":"Number of frames to generate. Must be between 81 to 100 (inclusive)."},"num_inference_steps":{"title":"Num Inference Steps","default":30,"type":"integer","maximum":40,"description":"Number of inference steps for sampling. Higher values give better quality but take longer.","minimum":2},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen."},"enable_safety_checker":{"title":"Enable Safety Checker","default":false,"type":"boolean","description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked.","examples":[true]},"turbo_mode":{"title":"Turbo Mode","default":false,"type":"boolean","description":"If true, the video will be generated faster with no noticeable degradation in the visual quality."},"negative_prompt":{"title":"Negative Prompt","default":"bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards","type":"string","description":"Negative prompt for video generation.","examples":["bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards"]},"resolution":{"title":"Resolution","default":"720p","enum":["480p","580p","720p"],"type":"string","description":"Resolution of the generated video (480p, 580p, or 720p)."},"prompt":{"title":"Prompt","type":"string","description":"The text prompt to guide video generation.","examples":["A stylish woman walks down a Tokyo street filled with warm glowing neon and animated city signage. She wears a black leather jacket, a long red dress, and black boots, and carries a black purse."]},"enable_prompt_expansion":{"title":"Enable Prompt Expansion","default":false,"type":"boolean","description":"Whether to enable prompt expansion.","examples":[false]},"frames_per_second":{"title":"Frames Per Second","anyOf":[{"type":"integer","maximum":24,"minimum":5},{"type":"null"}],"default":16,"description":"Frames per second of the generated video. Must be between 5 to 24."},"aspect_ratio":{"title":"Aspect Ratio","default":"16:9","enum":["9:16","16:9"],"type":"string","description":"Aspect ratio of the generated video (16:9 or 9:16)."}},"x-fal-order-properties":["prompt","negative_prompt","num_frames","frames_per_second","seed","resolution","aspect_ratio","num_inference_steps","enable_safety_checker","enable_prompt_expansion","turbo_mode"],"type":"object"},"WanT2vOutput":{"title":"WanT2VResponse","required":["video","seed"],"properties":{"video":{"description":"The generated video file.","examples":[{"url":"https://storage.googleapis.com/falserverless/web-examples/wan/t2v.mp4"}],"$ref":"#/components/schemas/File"},"seed":{"title":"Seed","type":"integer","description":"The seed used for generation."}},"x-fal-order-properties":["video","seed"],"type":"object"},"File":{"title":"File","required":["url"],"properties":{"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]}},"x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/wan-t2v/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-t2v/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan-t2v":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanT2vInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-t2v/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanT2vOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"alibaba/happy-horse/v1.1/text-to-video","metadata":{"display_name":"Happy Horse 1.1 Text to Video","category":"text-to-video","description":"Happy Horse 1.1 is Alibaba's #1-ranked video model. This text-to-video endpoint generates 1080p video with synchronized native audio and multilingual lip-sync from a text prompt alone.","status":"active","tags":["happy-horse","video","text"],"updated_at":"2026-07-01T05:09:20.564Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f395f/8hP5jLvVFWOWXKzo9BWRv_1b09aff553b045fb98313142db068d58.jpg","model_url":"https://fal.run/alibaba/happy-horse/v1.1/text-to-video","license_type":"commercial","date":"2026-06-21T19:48:05.751Z","group":{"key":"happy-horse-1.1","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for alibaba/happy-horse/v1.1/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the alibaba/happy-horse/v1.1/text-to-video queue.","x-fal-metadata":{"endpointId":"alibaba/happy-horse/v1.1/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f395f/8hP5jLvVFWOWXKzo9BWRv_1b09aff553b045fb98313142db068d58.jpg","playgroundUrl":"https://fal.ai/models/alibaba/happy-horse/v1.1/text-to-video","documentationUrl":"https://fal.ai/models/alibaba/happy-horse/v1.1/text-to-video/api","about":"Generate a video from text using the Happy Horse 1.1 text-to-video\nmodel (``happyhorse-1.1-t2v``).\n\nFeatures:\n- Resolution: 720p and 1080p\n- Duration: 3-15 seconds\n- Aspect ratios: 16:9, 9:16, 1:1, 4:3, 3:4, 21:9, 9:21, 5:4, 4:5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"HappyHorseV11TextToVideoInput":{"properties":{"enable_safety_checker":{"title":"Enable Safety Checker","default":true,"type":"boolean","description":"Enable content moderation for input and output. Disabling it requires account authorization; unauthorized requests are always checked."},"prompt":{"minLength":1,"type":"string","title":"Prompt","examples":["A little girl walking on the road at sunset, cinematic lighting, smooth camera movement."],"description":"Text prompt describing the desired video. Max 2500 characters."},"resolution":{"enum":["720p","1080p"],"title":"Resolution","default":"1080p","type":"string","description":"Output video resolution tier."},"aspect_ratio":{"enum":["16:9","9:16","1:1","4:3","3:4","21:9","9:21","5:4","4:5"],"title":"Aspect Ratio","default":"16:9","type":"string","description":"Aspect ratio of the generated video."},"duration":{"type":"integer","enum":[3,4,5,6,7,8,9,10,11,12,13,14,15],"title":"Duration","default":5,"examples":[5,10,15],"description":"Output video duration in seconds (3-15)."},"seed":{"description":"Random seed for reproducibility (0-2147483647).","title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}]}},"title":"HappyHorse15TextToVideoInput","x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","seed","enable_safety_checker"],"required":["prompt"],"type":"object","description":"Input for Happy Horse 1.1 text-to-video generation.\n\nIdentical to 1.0 except the aspect ratio adds ``21:9``, ``9:21``, ``5:4``\nand ``4:5``."},"HappyHorseV11TextToVideoOutput":{"description":"Output for Happy Horse video generation.","x-fal-order-properties":["video","seed"],"title":"HappyHorseOutput","required":["video","seed"],"type":"object","properties":{"seed":{"title":"Seed","type":"integer","description":"The seed used for generation."},"video":{"description":"The generated video file.","$ref":"#/components/schemas/VideoFile"}}},"VideoFile":{"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"title":"VideoFile","required":["url"],"type":"object","properties":{"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Width","description":"The width of the video"},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Num Frames","description":"The number of frames in the video"},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","examples":["image/png"],"description":"The mime type of the file."},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Duration","description":"The duration of the video"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","examples":[4404019],"description":"The size of the file in bytes."},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Height","description":"The height of the video"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Fps","description":"The FPS of the video"}}}}},"paths":{"/alibaba/happy-horse/v1.1/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/alibaba/happy-horse/v1.1/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/alibaba/happy-horse/v1.1/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HappyHorseV11TextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/alibaba/happy-horse/v1.1/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HappyHorseV11TextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan/v2.2-5b/text-to-video","metadata":{"display_name":"Wan v2.2 5B","category":"text-to-video","description":"Wan 2.2's 5B model produces up to 5 seconds of video 720p at 24FPS with fluid motion and powerful prompt understanding","status":"active","tags":[],"updated_at":"2026-04-21T17:56:23.721Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Sound-2.jpg","model_url":"https://fal.run/fal-ai/wan/v2.2-5b/text-to-video","license_type":"commercial","date":"2025-07-28T20:48:02.539Z","group":{"key":"wan-v22","label":"Text to Video (5B)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/wan/v2.2-5b/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan/v2.2-5b/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/wan/v2.2-5b/text-to-video","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Sound-2.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/wan/v2.2-5b/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/wan/v2.2-5b/text-to-video/api","about":"Endpoint for generating a video from text using the 5B model."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanV225bTextToVideoInput":{"required":["prompt"],"properties":{"video_quality":{"enum":["low","medium","high","maximum"],"type":"string","description":"The quality of the output video. Higher quality means better visual quality but larger file size.","examples":["high"],"title":"Video Quality","default":"high"},"shift":{"default":5,"type":"number","minimum":1,"description":"Shift value for the video. Must be between 1.0 and 10.0.","examples":[5],"title":"Shift","maximum":10},"adjust_fps_for_interpolation":{"type":"boolean","description":"If true, the number of frames per second will be multiplied by the number of interpolated frames plus one. For example, if the generated frames per second is 16 and the number of interpolated frames is 1, the final frames per second will be 32. If false, the passed frames per second will be used as-is.","examples":[true],"title":"Adjust FPS for Interpolation","default":true},"enable_output_safety_checker":{"type":"boolean","description":"If set to true, output video will be checked for safety after generation.","examples":[false],"title":"Enable Output Safety Checker","default":false},"guidance_scale":{"default":3.5,"type":"number","minimum":1,"description":"Classifier-free guidance scale. Higher values give better adherence to the prompt but may decrease quality.","examples":[3.5],"title":"Guidance Scale","maximum":10},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen.","title":"Seed"},"enable_prompt_expansion":{"type":"boolean","description":"Whether to enable prompt expansion. This will use a large language model to expand the prompt with additional details while maintaining the original meaning.","examples":[false],"title":"Enable Prompt Expansion","default":false},"video_write_mode":{"enum":["fast","balanced","small"],"type":"string","description":"The write mode of the output video. Faster write mode means faster results but larger file size, balanced write mode is a good compromise between speed and quality, and small write mode is the slowest but produces the smallest file size.","examples":["balanced"],"title":"Video Write Mode","default":"balanced"},"prompt":{"type":"string","description":"The text prompt to guide video generation.","examples":["A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k"],"title":"Prompt"},"frames_per_second":{"examples":[24],"anyOf":[{"type":"integer","minimum":4,"maximum":60},{"type":"null"}],"description":"Frames per second of the generated video. Must be between 4 to 60. When using interpolation and `adjust_fps_for_interpolation` is set to true (default true,) the final FPS will be multiplied by the number of interpolated frames plus one. For example, if the generated frames per second is 16 and the number of interpolated frames is 1, the final frames per second will be 32. If `adjust_fps_for_interpolation` is set to false, this value will be used as-is.","title":"Frames per Second","default":24},"resolution":{"enum":["580p","720p"],"type":"string","description":"Resolution of the generated video (580p or 720p).","examples":["720p"],"title":"Resolution","default":"720p"},"aspect_ratio":{"enum":["16:9","9:16","1:1"],"type":"string","description":"Aspect ratio of the generated video (16:9 or 9:16).","examples":["16:9","9:16","1:1"],"title":"Aspect Ratio","default":"16:9"},"negative_prompt":{"type":"string","description":"Negative prompt for video generation.","title":"Negative Prompt","default":""},"num_frames":{"description":"Number of frames to generate. Must be between 17 to 161 (inclusive).","minimum":17,"examples":[81],"title":"Number of Frames","type":"integer","default":81,"maximum":161},"enable_safety_checker":{"type":"boolean","description":"If set to true, input data will be checked for safety before processing. Disabling it requires account authorization; unauthorized requests are always checked.","examples":[true],"title":"Enable Safety Checker","default":false},"num_inference_steps":{"default":40,"type":"integer","minimum":2,"description":"Number of inference steps for sampling. Higher values give better quality but take longer.","examples":[40],"title":"Number of Inference Steps","maximum":50},"interpolator_model":{"enum":["none","film","rife"],"type":"string","description":"The model to use for frame interpolation. If None, no interpolation is applied.","examples":["film"],"title":"Interpolator Model","default":"film"},"num_interpolated_frames":{"default":0,"type":"integer","minimum":0,"description":"Number of frames to interpolate between each pair of generated frames. Must be between 0 and 4.","examples":[0],"title":"Number of Interpolated Frames","maximum":4}},"type":"object","title":"WanSmallT2VRequest","x-fal-order-properties":["prompt","negative_prompt","num_frames","frames_per_second","seed","resolution","aspect_ratio","num_inference_steps","enable_safety_checker","enable_output_safety_checker","enable_prompt_expansion","guidance_scale","shift","interpolator_model","num_interpolated_frames","adjust_fps_for_interpolation","video_quality","video_write_mode"]},"WanV225bTextToVideoOutput":{"required":["video","seed"],"properties":{"seed":{"type":"integer","description":"The seed used for generation.","title":"Seed"},"video":{"description":"The generated video file.","$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/model_tests/wan/v2.2-small-output.mp4"}]},"prompt":{"type":"string","description":"The text prompt used for video generation.","examples":["A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k"],"title":"Prompt","default":""}},"type":"object","title":"WanSmallT2VResponse","x-fal-order-properties":["video","prompt","seed"]},"File":{"required":["url"],"properties":{"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"}},"type":"object","title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/wan/v2.2-5b/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-5b/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan/v2.2-5b/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV225bTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-5b/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV225bTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"Ng","has_more":true}
